PRUNEEMPTYDIRS(1)

NOM
pruneemptydirs - Détecte les dossiers sources anciens dans l'arbre CVS.

SYNOPSIS

pruneemptydirs [-f]

DESCRIPTION

pruneemptydirs est utilisé pour nettoyer un arbre CVS local. Il détecte les dossiers contenant des restes de vieux fichiers qui ont été supprimés depuis le CVS. Ces vieux dossiers font souvent échoués la compilation. Le dossier courant et tous les sous-dossiers seront examinés.

Remarquez que cet outil ne supprime rien. Il imprime simplement ce qu'il va faire en une série de commandes de suppression. Vous pouvez copier et coller ces commandes, ou les utiliser pour évaluation dans un script.

Cet outil fonctionne mieux si le dossier source n'est pas le même que le dossier de compilation, car il n'imprime pas les dossiers contenant les anciens exécutables.

Ce utilitaire est un élément du kit de développement logiciel de KDE.

OPTIONS

-f
    Pour le moment, l'option supprime les fichiers au lieu de simplement les imprimer. Utilisez cette option avec méfiance.

AUTEURS

pruneemptydirs a été écrit par David Faure <faure@kde.org>

Le manuel a été écrit par Ben Burton<bab@debian.org>

AUTEUR

Ben Burton <bab@debian.org>
    Auteur.